% Sweep PRC (power recycling cavity length) in DRFPMI and generate plots.
%
% [xPos, sigDC, fDC] = sweepPRCL(Nsweep)
% see sweepDC for information about the parameters
%
% This displays some DC signals, and some demod signals, during
% a PRC sweep.  From this sweep, one might try to find a good
% signal for PRC.

function [xPos, sigDC, fDC] = bounce1(Nsweep)

  % Check number of input arguments
  if nargin < 1
    Nsweep = 100;
  elseif nargin > 1
    error('Too Many Arguments!')
  end
  

  % prepare some variables
  sweepSetup

  % adding this to sweepSetup causes matlab to crash, so do it here
  nDC = [nREFL(1) nAS(1) nPOX(1) nPOY(1) nTRX(1) nTRY(1) nSrc(1)];

  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % PRC sweep
  pos = zeros(opt.Noptic, 1);
  pos(nPR) = 30e-9;
  pos(nSR) = -30e-9;
  
  [xPos, sigDC, fDC] = sweepDC(opt, -pos, pos, Nsweep);

  
  % make some plots
  fDCp = permute(fDC, [2, 3, 1]);  
  n = getFieldAt(opt, nPR, 'fr');		

  semilogy(xPos(nPR, :), abs(nSrc))
  title('PRC sweep: RF powers in the PRC (top) & REFL demods (bottom)')
  %legend(num2str([vFrf(nSBa); vFrf(nSBb)] / 1e6))
  %set(gca,'XTickLabel',[])
  grid on
  %axis([-pos(nPR) pos(nPR) 1e-4 .5])
  axis tight
  
